# FreshChat

## Using the Erathos platform

When selecting FreshChat as a new connector on the Erathos platform, you will need to name your connection and fill in the following form:

![](https://help.erathos.com/rails/active_storage/blobs/redirect/eyJfcmFpbHMiOnsibWVzc2FnZSI6IkJBaHBmUT09IiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--b0380f1258d395899e6874753c8384235b5554ad/freshchat.png)

## How to find my FreshChat Domain URL?

For independent Freshchat accounts the URL to access product resources through API requests usually follows the format below:

**https\://\<account-name>.freshchat.com/v2/\<resource-name>**

Example: <https://freshfoods.freshchat.com/v2/conversations>

## How to find my FreshChat API Token?

1. Access the **Administrador** tab
2. Click on **configurate**
3. Enter the **API Tokens** page
4. Click on **Generate Token**
5. The authentication server exhibits the access token (API Token)

For integrated FreshChat accounts, available as part of a Freshsales Suite account, the URL will follow this format:

**<https://.myfreshworks.com>**

## To obtain the API Token:

1. Go to **Settings**
2. Select **Administrator Settings**
3. Then access **Website and API Tracking**
4. Enter the **API Configurations** page
5. Go to the **API Details for chat** section
6. In the **Your API Key** field, the API Token will be exhibited.

With this connection created you can seemlessly move your FreshChat data to your BigQuery, Redshift or Postgres data-warehouse.

## What end´points can I access with the Erathos platform?

* users
* groups
* channels
* roles
* agents
* user\_conversations
* conversations
* messages


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.erathos.com/connectors/apis/freshchat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
